Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Operator.Operations
Class ProportionalRouletteWheel

    java.lang.Object
      Operator.Operations.SelectionOperation
          Operator.Operations.RouletteWheel
              Operator.Operations.ProportionalRouletteWheel

All Implemented Interfaces:
  Operation, ParameterI, Stochastic

    public class ProportionalRouletteWheel

extends RouletteWheel
implements Stochastic

Roulette wheel selection based on fitness proprtional selection. it uses assigns probabilities as 1/(1-fitness) where the smaller the value the more likely it is to be selected

Field Summary

Fields inherited from class Operator.Operations.RouletteWheel
`accProbs, minFit, rng, smallFit, sumFit`

Fields inherited from class Operator.Operations.SelectionOperation
`selectedPopulation, size`

Constructor Summary
`ProportionalRouletteWheel()` New instance
`ProportionalRouletteWheel(int size, RandomNumberGenerator rng)` New instance

Method Summary
`protected void` | `calculateAccumulatedFitnessProbabilities(java.util.List<Individual> operands)` Min fitness is the best fitness.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class Operator.Operations.RouletteWheel
`calculateFitnessSum, doOperation, doOperation, getRNG, rankPopulation, setProperties, setRNG, spinRoulette`

Methods inherited from class Operator.Operations.SelectionOperation
`getSelectedPopulation, getSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface Util.Random.Stochastic
`getRNG, setRNG`

Constructor Detail

### ProportionalRouletteWheel

    public ProportionalRouletteWheel(int size,
                                     RandomNumberGenerator rng)

  New instance

  Parameters:
    `size` - size of selection
    `rng` - random number generator

### ProportionalRouletteWheel

    public ProportionalRouletteWheel()

  New instance

Method Detail

### calculateAccumulatedFitnessProbabilities

    protected void calculateAccumulatedFitnessProbabilities(java.util.List<Individual> operands)

  Min fitness is the best fitness. Subtracts the fitness from the fitness sum and divides by the fitness sum Store the accumulated probabilities in the accProbs array

  Specified by:
    `calculateAccumulatedFitnessProbabilities` in class `RouletteWheel`
  Parameters:
    `operands` - Individuals to take into account

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD